LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Variables
com::sun::star::linguistic2::SpellFailure Constant Group Referencepublished

these define the various return types for spell checking to fail verification. More...

## Variables
const short | IS_NEGATIVE_WORD = 2
| The word is a negative one, that is, it should not be used. More...
const short | CAPTION_ERROR = 3
| The capitalization of the word is wrong. More...
const short | SPELLING_ERROR = 4
| The spelling of the word is wrong (or at least not known to be correct). More...

## Detailed Description

these define the various return types for spell checking to fail verification.

A value of this type is part of the com::sun::star::linguistic2::XSpellAlternatives interface which is the return type for an unsuccessful spelling attempt.

See Also
  com::sun::star::linguistic2::XSpellChecker

## Variable Documentation

const short CAPTION_ERROR = 3

The capitalization of the word is wrong.

const short IS_NEGATIVE_WORD = 2

The word is a negative one, that is, it should not be used.

const short SPELLING_ERROR = 4

The spelling of the word is wrong (or at least not known to be correct).